(function ($, Drupal) {
  Drupal.behaviors.genoring = {
    attach: function (context, settings) {
      const container = context.querySelector('.genoring-data-locator-list');

      if (container) {
        // Ajouter des écouteurs d'événements pour le glisser-déposer
        let draggedItem = null;

        container.addEventListener('dragstart', function (e) {
          draggedItem = e.target.closest('.draggable');
          e.dataTransfer.effectAllowed = 'move';
          e.dataTransfer.setData('text/html', e.target.innerHTML);
          setTimeout(() => {
            draggedItem.style.display = 'none';
          }, 0);
        });

        container.addEventListener('dragend', function (e) {
          setTimeout(() => {
            draggedItem.style.display = 'block';
            draggedItem = null;
            updateItemWeights(container);
          }, 0);
        });

        container.addEventListener('dragover', function (e) {
          e.preventDefault();
          const target = e.target.closest('.draggable');
          if (target && target !== draggedItem) {
            container.insertBefore(draggedItem, target.nextSibling);
          }
        });

        container.addEventListener('dragenter', function (e) {
          e.preventDefault();
        });

        // Mettre à jour les poids des éléments après le tri
        function updateItemWeights(list) {
          list.querySelectorAll('.genoring-item').forEach(function (item, index) {
            const weightInput = item.querySelector('.weight input');
            if (weightInput) {
              weightInput.value = index;
            }
          });
        }
      }
    }
  };
})(jQuery, Drupal);