<?php

namespace Drupal\genoring\Exception;

/**
 * Exception thrown by data manager and data locator plugins.
 */
class DataLocatorException extends \RuntimeException {

  /**
   * Constructs a DataLocatorException with a message.
   *
   * @param string $message
   *   The exception message.
   * @param int $code
   *   The exception code.
   * @param \Exception|null $previous
   *   The previous exception.
   */
  public function __construct(
    $message = 'Data locator failed to locate object with the given metadata.',
    $code = 0,
    ?\Exception $previous = NULL,
  ) {
    parent::__construct($message, $code, $previous);
  }

}
