<?php

namespace Drupal\Tests\genoring\Unit;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Tests\UnitTestCase;

/**
 * The class to test taxonomy service.
 *
 * @group genoring
 */
class TaxonomyTest extends UnitTestCase {

  /**
   * Test container.
   *
   * @var \Symfony\Component\DependencyInjection\ContainerInterface
   */
  protected $container;

  /**
   * Mocked taxonomy serice.
   *
   * @var \SDrupal\genoring\Taxonomy\TaxonomyInterface
   */
  protected $taxonomyServiceMock;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $container = new ContainerBuilder();

    // To mock: '@string_translation', '@logger.factory', '@file_system',
    // '@database', '@http_client', '@entity_type.manager'.
    \Drupal::setContainer($container);
    $this->container = $container;
  }

  /**
   * Test specieslist.txt file parsing.
   */
  public function testReadFile() {
    $file_path = __DIR__ . '/../../fixtures/speclist.txt';
    $this->assertFileExists($file_path, 'speclist.txt test file is missing.');
    $content = file_get_contents($file_path);
    $this->assertNotEmpty($content, 'speclist.txt test file is empty.');
    $this->markTestIncomplete('No real test done.');
  }

}
